dunetpc - Bug #19945

DUNEOpDetResponse/OpDetDigitizer incorrectly handles SimPhotonsLite
05/14/2018 06:14 PM - Jason Stock

Status: Closed Start date: 05/14/2018
Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

The current implementation of the OpDetResponse service and the Digitizer in dunetpc incorrectly directs SimPhotonsLite objects
into a single OpChannel (chosen from the OpDetector's available OpChannels as random) instead of randomly distributing the N
Photons from the SimPhotonsLite into the M channels. This behaviour can result in both an underestimation of our data rate, and an
over estimation of our ophit magnitudes.

History

#1 - 05/15/2018 12:13 PM - Jason Stock

- Status changed from New to Closed

#2 - 05/15/2018 12:49 PM - Jason Stock
- Priority changed from High to Low

This is handled in a slightly different way than | anticipated, but | believe correct. | am closing this while | look further into the code, and will reopen it if
there is still an issue.
